<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script>
        $(document).ready(function () {
            "use strict";
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

            /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
            $("#btn-bat-den").on("click", function () {
                onBtnBatDen();
            })
            $("#btn-tat-den").on("click", function () {
                onBtnTatDen();
            })
            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            // Hàm xử lý khi bật đèn
            function onBtnBatDen() {
                "use strict";
                console.log("Ấn nút bật đèn");
                $("#imgLight").prop("src", "images/pic_bulbon.gif"); // Chuyển sang ảnh đèn sáng
            }
            // Hàm xử lý khi bật đèn
            function onBtnTatDen() {
                "use strict";
                console.log("Ấn nút tắt đèn");
                $("#imgLight").prop("src", "images/pic_bulboff.gif"); // Chuyển sang ảnh đèn tắt
            }
            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        })
    </script>
</head>

<body>
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="d-flex align-items-end">
                <button id="btn-bat-den" class="btn btn-warning">Bật đèn</button>
                <img id="imgLight" src="images/pic_bulboff.gif" alt="light image" width="150px">
                <button id="btn-tat-den" class="btn btn-secondary">Tắt đèn</button>
            </div>
        </div>
    </div>
</body>

</html>